Loading...
Searching...
No Matches
NearestNeighbor.hpp File Reference

Header for GeographicLib::NearestNeighbor class. More...

`#include <algorithm>`
`#include <vector>`
`#include <queue>`
`#include <utility>`
`#include <cstring>`
`#include <limits>`
`#include <cmath>`
`#include <sstream>`
`#include <GeographicLib/Constants.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t >
| Nearest-neighbor calculations. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.
namespace | std

## Functions

template<typename dist_t , typename pos_t , class distfun_t >
void | std::swap (GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > &a, GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > &b)

## Detailed Description

Header for GeographicLib::NearestNeighbor class.

Copyright (c) Charles Karney (2016-2020) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file NearestNeighbor.hpp.